use raylib::math::Vector2;

use crate::world::World;



#[derive(Debug)]
pub struct Player {
    pub pos: Vector2,
    pub vel: Vector2
}

impl Player {
    pub fn new(pos: Vector2) -> Self {
        Self { pos, vel: (0.0, 0.0).into() }
    }

    pub fn calc_phisics(&mut self, world: &World, dt: f32) {
        self.pos += self.vel * dt;
        
        self.vel.x *= 0.7;
        self.vel.y *= 0.7;
        if self.vel.x.abs() < 1.0 {
            self.vel.x = 0.0;
        }
        if self.vel.y.abs() < 1.0 {
            self.vel.y = 0.0;
        }

        self.check_collisions(world);
    }

    fn check_collisions(&mut self, world: &World) {
        
    }
}
